summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
authorAllen <64094914+allendema@users.noreply.github.com>2024-10-09 14:27:05 +0200
committerMarkus Heiser <markus.heiser@darmarIT.de>2024-10-10 07:05:46 +0200
commit81aaca8f44f435f81585eea4f77a61d15749ae61 (patch)
tree2f2970ccc09d2410b776faf3e5c5d5e920415c35 /utils
parentf1f0dfd23119dc29d2b18b321b0e49618d1c3df0 (diff)
downloadsearxng-81aaca8f44f435f81585eea4f77a61d15749ae61.tar.gz
searxng-81aaca8f44f435f81585eea4f77a61d15749ae61.zip
[mod] use quad9 dns for connectivity checks when lxc
https://www.quad9.net/about/ https://bgp.tools/as/42#whois
Diffstat (limited to 'utils')
-rwxr-xr-xutils/lxc.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/utils/lxc.sh b/utils/lxc.sh
index 32f0ad9b3..6fdcfc9eb 100755
--- a/utils/lxc.sh
+++ b/utils/lxc.sh
@@ -556,7 +556,7 @@ EOF
check_connectivity() {
local ret_val=0
info_msg "check internet connectivity ..."
- if ! lxc exec "${1}" -- ping -c 1 8.8.8.8 &>/dev/null; then
+ if ! lxc exec "${1}" -- ping -c 1 9.9.9.9 &>/dev/null; then
ret_val=1
err_msg "no internet connectivity!"
info_msg "Most often the connectivity is blocked by a docker installation:"